org.apache.cassandra.schema

## Class Keyspaces

- java.lang.Object
- - org.apache.cassandra.schema.Keyspaces

All Implemented Interfaces:
  java.lang.Iterable<KeyspaceMetadata>

    public final class Keyspaces
    extends java.lang.Object
    implements java.lang.Iterable<KeyspaceMetadata>

### Nested Class Summary

Nested Classes
`static class` `Keyspaces.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Keyspaces.Builder` `builder()`
`boolean` `equals(java.lang.Object o)`
`Keyspaces` `filter(java.util.function.Predicate<KeyspaceMetadata> predicate)`
`int` `hashCode()`
`java.util.Iterator<KeyspaceMetadata>` `iterator()`
`static Keyspaces` `none()`
`static Keyspaces` `of(KeyspaceMetadata... keyspaces)`
`java.util.stream.Stream<KeyspaceMetadata>` `stream()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### builder

    public static Keyspaces.Builder builder()

#### none

    public static Keyspaces none()

#### of

    public static Keyspaces of(KeyspaceMetadata... keyspaces)

#### iterator

    public java.util.Iterator<KeyspaceMetadata> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<KeyspaceMetadata>`

#### stream

    public java.util.stream.Stream<KeyspaceMetadata> stream()

#### filter

    public Keyspaces filter(java.util.function.Predicate<KeyspaceMetadata> predicate)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`